<?php

// In your theme's functions.php or equivalent
add_action('customize_controls_enqueue_scripts', function() {
    $version = wp_get_theme()->get('Version');
    
    // Define parameters
    $customizer_params = array(
        'some_key' => 'some_value', // Add your parameters here
    );
    
    wp_enqueue_script(
        'pet-house-customize-section-button',
        get_theme_file_uri('assets/js/customize-controls.js'),
        ['customize-controls'],
        $version,
        true
    );

    wp_enqueue_style(
        'pet-house-customize-section-button',
        get_theme_file_uri('assets/css/customize-controls.css'),
        ['customize-controls'],
        $version
    );

    wp_localize_script(
        'pet-house-customize-section-button',
        'Pet_House_Customizer_params',
        $customizer_params
    );
});


 /**
 * Enqueue scripts and styles.
 */
function pet_house_scripts() {
	// Styles	 

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	
	wp_enqueue_style('pet-house-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('pet-house-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('pet-house-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'pet-house-style', get_stylesheet_uri() );


	wp_enqueue_style('pet-house-main', get_stylesheet_uri(), array() );
		wp_style_add_data('pet-house-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('pet-house-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'pet_house_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

	// inlin css
	$pet_house_inline_style = '';

	$pet_house_slider_setting = get_theme_mod( 'pet_house_slider_setting', false);
	if($pet_house_slider_setting == false) {
	    $pet_house_inline_style .= '.page-template-template-frontpage .middle-header-area{';
	    $pet_house_inline_style .= 'position:static; border-bottom:1px solid #ccc;';
	    $pet_house_inline_style .= '}';
	}

	wp_add_inline_style( 'pet-house-style', $pet_house_inline_style );

}
add_action( 'wp_enqueue_scripts', 'pet_house_scripts' );

// Function to enqueue custom CSS
function pet_house_enqueue_custom_css() {
    // Define a unique handle for your inline stylesheet
    $handle = 'pet-house-style';
    
    // Get the generated custom CSS
    $pet_house_custom_css = "";

    $pet_house_blog_layouts = get_theme_mod('pet_house_blog_layout_option_setting', 'Default');
    if ($pet_house_blog_layouts == 'Default') {
        $pet_house_custom_css .= '.blog-item{';
        $pet_house_custom_css .= 'text-align:center;';
        $pet_house_custom_css .= '}';
    } elseif ($pet_house_blog_layouts == 'Left') {
        $pet_house_custom_css .= '.blog-item{';
        $pet_house_custom_css .= 'text-align:Left;';
        $pet_house_custom_css .= '}';
    } elseif ($pet_house_blog_layouts == 'Right') {
        $pet_house_custom_css .= '.blog-item{';
        $pet_house_custom_css .= 'text-align:Right;';
        $pet_house_custom_css .= '}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $pet_house_custom_css);

    // Add inline style for Scroll to Top
    $pet_house_scroll_top_bg_color = get_theme_mod('pet_house_scroll_top_bg_color', '#947147');
    $pet_house_scroll_top_color = get_theme_mod('pet_house_scroll_top_color', '#fff');

    // Use global if still default
    if ( $pet_house_scroll_top_bg_color === '#947147' ) {
        $pet_house_scroll_top_bg_color = get_theme_mod('pet_house_dynamic_color_one');
    }

    $pet_house_scroll_custom_css = "
        #scrolltop {
            background-color: {$pet_house_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$pet_house_scroll_top_color};
        }
    ";
    wp_add_inline_style('pet-house-style', $pet_house_scroll_custom_css);

    // Add inline style for Preloader
    $pet_house_preloader_bg_color = get_theme_mod('pet_house_preloader_bg_color', '#ffffff');
    $pet_house_preloader_color = get_theme_mod('pet_house_preloader_color', '#947147');

    // Use global if still default
    if ( $pet_house_preloader_color === '#947147' ) {
        $pet_house_preloader_color = get_theme_mod('pet_house_dynamic_color_one');
    }

    $pet_house_preloader_custom_css = "
        .loading {
            background-color: {$pet_house_preloader_bg_color};
        }
        .loader {
            border-color: {$pet_house_preloader_color};
            color: {$pet_house_preloader_color};
            text-shadow: 0 0 10px {$pet_house_preloader_color};
        }
        .loader::before {
            border-top-color: {$pet_house_preloader_color};
            border-right-color: {$pet_house_preloader_color};
        }
        .loader span::before {
            background: {$pet_house_preloader_color};
            box-shadow: 0 0 10px {$pet_house_preloader_color};
        }
    ";
    wp_add_inline_style('pet-house-style', $pet_house_preloader_custom_css);

    // footer copyright
    $pet_house_footer_font_size = get_theme_mod('pet_house_footer_bottom_copyright_text_font_size');
    $pet_house_footer_padding = get_theme_mod('pet_house_footer_bottom_copyright_text_top_bottom_padding');

    if ( $pet_house_footer_font_size === '14px' ) {
        $pet_house_footer_font_size = get_theme_mod('pet_house_body_font_size');
    }

    $pet_house_footer_copyright_css = "
        .copy-right p {
            font-size: {$pet_house_footer_font_size}px;
            padding: {$pet_house_footer_padding}px;
        }
    ";
    wp_add_inline_style('pet-house-style', $pet_house_footer_copyright_css);

    // copyright text color
    $pet_house_footer_copyright_text_color =
        get_theme_mod( 'pet_house_footer_copyright_text_color' );

    if ( $pet_house_footer_copyright_text_color ) {
        $pet_house_color_footer_css  = "
    .copy-right p, .copy-right p a{
        color: " . esc_attr( $pet_house_footer_copyright_text_color ) . ";
    }
    ";
        wp_add_inline_style( 'pet-house-style', $pet_house_color_footer_css );
    }
}

// Hook the function to the 'wp_enqueue_scripts' action
add_action('wp_enqueue_scripts', 'pet_house_enqueue_custom_css');